0

My GTX TItan X should support OpenGL 4.5: https://www.geforce.com/hardware/desktop-gpus/geforce-gtx-titan-x/specifications

However, I fail to upgrade OpenGL beyond version 1.4

glxinfo | grep "OpenGL version"
> OpenGL version string: 1.4 (3.0 Mesa 18.0.5)

I have tried adding two PPAs (one then the other, not at the same time) which should solve the problem: ubuntu-x-swat and oibaf (taken from example from this answer: OpenGL/GLSL 4.5 on Ubuntu 19.04, Intel Integrated Graphics)

But nothing changes, even after multiple attempts/reboots. For example:

sudo add-apt-repository ppa:ubuntu-x-swat/updates
sudo apt update
sudo apt upgrade-dist
sudo reboot
glxinfo | grep "OpenGL version"
> OpenGL version string: 1.4 (3.0 Mesa 18.0.5)
0

Ok, I believe I understand what was happening.

The problem is that I was using a display tied to a VNC server (TurboVNC), since the machine is a headless server. I was able to get a VNC server with modern OpenGL enabled by using VirtualGL.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.